Basic documentation for terminal ui
Needs RevisionPublic

Authored by mmodell on Dec 6 2016, 8:48 PM.

Details

Reviewers
thcipriani
dduvall
demon
Group Reviewers
Release-Engineering-Team
Patch without arc
git checkout -b D497 && curl -L https://phabricator.wikimedia.org/D497?download=true | git apply
Summary

Will expand later to include comprehensive docs on scap.cli

Test Plan

tox -e doc

Diff Detail

Repository
rMSCA Scap
Branch
term-docs (branched from master)
Lint
Lint OK
Unit
Unit Tests OK
Build Status
Buildable 1418
Build 2219: docker-diffsJenkins
Build 2218: differential-jessieJenkins
Build 2217: arc lint + arc unit
mmodell retitled this revision from to Basic documentation for terminal ui.Dec 6 2016, 8:48 PM
mmodell updated this object.
mmodell edited the test plan for this revision. (Show Details)
mmodell added reviewers: thcipriani, dduvall, demon.
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald TranscriptDec 6 2016, 8:48 PM
Restricted Application added a project: Release-Engineering-Team. · View Herald Transcript
mmodell updated this revision to Diff 1332.Dec 7 2016, 5:28 PM

rebase again

demon accepted this revision.Dec 9 2016, 4:50 PM
This revision is now accepted and ready to land.Dec 9 2016, 4:50 PM
thcipriani requested changes to this revision.Dec 14 2016, 4:47 PM

Few minor nitpicks.

The "Scroll Regions:" with nothing below it thing should be fixed before this lands.

docs/dev/terminal_ui.rst
9

"Colored" doesn't need to be capitalized.

Also, "Colored & formatted" vs "prompts and progress" not internally consistent.

18

Probably just link inline to the "Fluent interface" article.

48

This doesn't show in output. All I see is:

Scroll Regions:

with nothing below it. Guessing this needs .. code-block:: python, rather than .. code-block: python

This revision now requires changes to proceed.Dec 14 2016, 4:47 PM